<%@ Page Language="C#" Debug="true" %>
<% @Import Namespace="System.Data" %>
<%

  DataColumn MyDColumn = null;
  DataRow MyRow = null;
  DataTable MyDTable = new DataTable("Products");
  MyDTable.CaseSensitive = false;

  MyDColumn = MyDTable.Columns.Add("ProductName", System.Type.GetType("System.String") );
  MyDColumn = MyDTable.Columns.Add("Description", System.Type.GetType("System.String") );
  MyDColumn = MyDTable.Columns.Add("NetUnitPrice", System.Type.GetType("System.Double") );
  MyDColumn = MyDTable.Columns.Add("StreetPrice", System.Type.GetType("System.Double"), "NetUnitPrice * 1.2");

  MyRow = MyDTable.NewRow();
  MyRow["ProductName"] = "Brand XY Type Z";
  MyRow["Description"] = "High performance graphics adapter";
  MyRow["NetUnitPrice"] = "166.62";
  MyDTable.Rows.Add(MyRow);
  

  MyRow = MyDTable.NewRow();
  MyRow["ProductName"] = "Brand XY Floppy";
  MyRow["Description"] = "3.5 inch floppy drive";
  MyRow["NetUnitPrice"] = "41.5";
  MyDTable.Rows.Add(MyRow);
  
  MyRow = MyDTable.NewRow();
  MyRow["ProductName"] = "Brand XY Harddrive";
  MyRow["Description"] = "50 gigs for storage";
  MyRow["NetUnitPrice"] = "249.95";
  MyDTable.Rows.Add(MyRow);

  MyDGrid.DataSource = MyDTable.DefaultView;
  MyDGrid.DataBind();

%>

<h2>CompuShack's Hot Stuff</h2>
<asp:DataGrid id="MyDGrid" runat="server"
     Width="600"
     BorderColor="black"
     CellPadding="2" 
     CellSpacing="2"
     HeaderStyle-BackColor="#f8d07a"
     AutoGenerateColumns="False">
   
 <Columns>
   <asp:BoundColumn HeaderText="Product" DataField="ProductName" />   
   
   <asp:BoundColumn HeaderText="Product Description" DataField="Description" />

   <asp:BoundColumn HeaderText="Price excl. VAT" DataField="NetUnitPrice" DataFormatString={0:C} />
   
   <asp:BoundColumn HeaderText="Street Price" DataField="StreetPrice" DataFormatString={0:C} />

 </Columns>

</asp:DataGrid>



         
         
